// This file is part of the disk cataloger Wssindex.  Wssindex is copyright
// 1985-2021 by Robert W. Babcock and WSS Division of DDC.  Effective 2010,
// Wssindex is distributed under the terms of the GNU General Public
// License.  Contact the author at wssddc@wssddc.com or see the project web
// page at <https://www.wssddc.com/wssindex/>.
//
// Wssindex uses the open source Qt toolkit from the Qt Project (qt-project.org)
// and The Qt Company (www.qt.io).
//
// Wssindex is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// Wssindex is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with Wssindex.  If not, see <https://www.gnu.org/licenses/>.

#include "OtherWssi/wssindex.h"
#include "Dialogs/mainwindow.h"
#include <string.h>

// lfnpiece - return file name, extension or both.
//	which is COMPARE_FILENAME, COMPARE_EXTENSION or COMPARE_BOTH.

QString lfnpiece(const struct filerec *dr, int which)
	{
	switch(which)
		{
		case COMPARE_FILENAME:
			if(dr->ExtOffset > 1)
				return dr->Lfn.left(dr->ExtOffset-2);
			else
				return dr->Lfn;

		case COMPARE_EXTENSION:
			if(dr->ExtOffset > 0)
				return dr->Lfn.mid(dr->ExtOffset);
			else
				return QString();

		case COMPARE_BOTH:
			return dr->Lfn;
		}

	return QString();		// Can't really get here
	}
